Version comparison(3)

NAME
Version comparison -

  Functions
int discover_xml_version_cmp (char *range, char *version, discover_error_t *status)

Function Documentation

  int discover_xml_version_cmp (char * range, char * version, discover_error_t * status)

Compare a version number against a version range, returning 1 if the number matches the range or 0 if not.

Parameters:
    range Range to compare against version
    version Version to compare against range
    status Address in which to place status report

Definition at line 438 of file version-cmp.c.

References discover_error::code, and DISCOVER_EBADVERSION.